Bug 20231 - Patch for tcpdump to run as normal user
Summary: Patch for tcpdump to run as normal user
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-02 17:58 UTC by Jarno Huuskonen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 12:26:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
drop root patch for tcpdump-3.4 (3.02 KB, patch)
2000-11-02 17:59 UTC, Jarno Huuskonen
no flags Details | Diff

Description Jarno Huuskonen 2000-11-02 17:58:14 UTC
I made a patch for tcpdump-3.4 that adds -u parameter. This patch
allows tcpdump to drop root privileges after opening socket (like 
the arpwatch patch).

I'm attaching the patch (too many lines to cut and paste). If you notice
something wrong with the patch please let me know.

Thanks, 
-Jarno

Comment 1 Jarno Huuskonen 2000-11-02 17:59:30 UTC
Created attachment 4934 [details]
drop root patch for tcpdump-3.4


Note You need to log in before you can comment on or make changes to this bug.